package cz.vity.freerapid.plugins.services.rapidlibrary;

import cz.vity.freerapid.plugins.webclient.AbstractFileShareService;
import cz.vity.freerapid.plugins.webclient.interfaces.ConfigurationStorageSupport;
import cz.vity.freerapid.plugins.webclient.interfaces.PluginRunner;

import java.util.ArrayList;
import java.util.logging.Logger;

/**
 * @author ntoskrnl
 */
public class RapidLibraryServiceImpl extends AbstractFileShareService {
    private final static Logger logger = Logger.getLogger(RapidLibraryServiceImpl.class.getName());
    private static final String SERVICE_NAME = "RapidLibrary.com";

    @Override
    public String getName() {
        return SERVICE_NAME;
    }

    @Override
    public int getMaxDownloadsFromOneIP() {
        return 1;
    }

    @Override
    public boolean supportsRunCheck() {
        return true;
    }

    @Override
    protected PluginRunner getPluginRunnerInstance() {
        return new RapidLibraryRunner();
    }
}